org.eclipse.viatra.query.patternlanguage.patternLanguage

## Interface TypeCheckConstraint

- All Superinterfaces:
    Constraint, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TypeCheckConstraintImpl

      public interface TypeCheckConstraint
      extends Constraint

  A representation of the model object 'Type Check Constraint'.

  The following features are supported:

  - `Type`
  - `Var`
  See Also:
    `PatternLanguagePackage.getTypeCheckConstraint()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityType` | `getType()` Returns the value of the 'Type' containment reference.
    `VariableReference` | `getVar()` Returns the value of the 'Var' containment reference.
    `void` | `setType(EntityType value)` Sets the value of the '`Type`' containment reference.
    `void` | `setVar(VariableReference value)` Sets the value of the '`Var`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          EntityType getType()

      Returns the value of the 'Type' containment reference.

      If the meaning of the 'Type' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' containment reference.
      See Also:
        `setType(EntityType)`, `PatternLanguagePackage.getTypeCheckConstraint_Type()`
      Generated:
      Model:
        containment="true"

    - #### setType

          void setType(EntityType value)

      Sets the value of the '`Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Type' containment reference.
      See Also:
        `getType()`
      Generated:

    - #### getVar

          VariableReference getVar()

      Returns the value of the 'Var' containment reference.

      If the meaning of the 'Var' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Var' containment reference.
      See Also:
        `setVar(VariableReference)`, `PatternLanguagePackage.getTypeCheckConstraint_Var()`
      Generated:
      Model:
        containment="true"

    - #### setVar

          void setVar(VariableReference value)

      Sets the value of the '`Var`' containment reference.
      Parameters:
        `value` - the new value of the 'Var' containment reference.
      See Also:
        `getVar()`
      Generated: